### Class

# Aravis GvDevice

#### Description

    final class Aravis.GvDevice : Aravis.Device
      implements Gio.Initable {
      /* No available fields */
    }

No description available.

#### Ancestors

- ArvDevice
- GObject

#### Implements

- GInitable

#### Constructors

###### arv_gv_device_new

No description available.

since: 0.8.0

#### Instance methods

###### arv_gv_device_auto_packet_size

Automatically determine the biggest packet size that can be used data streaming, and set ArvGevSCPSPacketSize value accordingly. This function relies on the GevSCPSFireTestPacket feature.

since: 0.6.0

###### arv_gv_device_get_current_ip

Get the current IP address setting of device.

since: 0.8.22

###### arv_gv_device_get_device_address

No description available.

since: 0.2.0

###### arv_gv_device_get_interface_address

No description available.

since: 0.2.0

###### arv_gv_device_get_ip_configuration_mode

Get the IP address configuration mode.

since: 0.8.22

###### arv_gv_device_get_packet_size

No description available.

###### arv_gv_device_get_persistent_ip

Get the persistent IP address setting of device.

since: 0.8.22

###### arv_gv_device_get_stream_options

No description available.

since: 0.6.0

###### arv_gv_device_get_timestamp_tick_frequency

No description available.

###### arv_gv_device_is_controller

No description available.

since: 0.8.0

###### arv_gv_device_leave_control

No description available.

since: 0.8.3

###### arv_gv_device_set_ip_configuration_mode

Sets the IP address configuration mode. Available modes are ARV_GV_IP_CONFIGURATION_MODE_DHCP, ARV_GV_IP_CONFIGURATION_MODE_PERSISTENT_IP, ARV_GV_IP_CONFIGURATION_MODE_LLA.

since: 0.8.22

###### arv_gv_device_set_packet_size

No description available.

###### arv_gv_device_set_packet_size_adjustment

Sets the option for the packet size adjustment happening at stream object creation. See `arv_gv_device_auto_packet_size()` for a description of the packet adjustment feature. The default behaviour is `ARV_GV_PACKET_SIZE_ADJUSTEMENT_ON_FAILURE_ONCE`, which means the packet size is adjusted if the current packet size check fails, and only the first time `arv_device_create_stream()` is successfully called during `gv_device` instance life.

since: 0.8.3

###### arv_gv_device_set_persistent_ip

Sets the persistent IP address to device. Also disable DHCP then enable persistent IP mode.

since: 0.8.22

###### arv_gv_device_set_persistent_ip_from_string

Sets the persistent IP address to device.

since: 0.8.22

###### arv_gv_device_set_stream_options

Sets the option used during stream creation. It must be called before arv_device_create_stream().

since: 0.6.0

###### arv_gv_device_take_control

No description available.

since: 0.8.3

##### Methods inherited from ArvDevice (42)

Please see ArvDevice for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GInitable (1)

###### g_initable_init

Initializes the object implementing the interface.

#### Properties

###### Aravis.GvDevice:device-address

No description available.

###### Aravis.GvDevice:interface-address

No description available.

###### Aravis.GvDevice:packet-size-adjustment

No description available.

#### Signals

##### Signals inherited from ArvDevice (1)

###### ArvDevice::control-lost

Signal that the control of the device is lost.

since: 0.2.0

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AravisGvDeviceClass {
      ArvDeviceClass parent_class;

    }

No description available.

###### Class members

`parent_class: ArvDeviceClass`

  No description available.